"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.grow = void 0;
function input(el) {
    // Revert height
    el.style.height = 'auto';
    var style = window.getComputedStyle(el);
    var paddingTop = style.getPropertyValue('padding-top');
    var paddingBottom = style.getPropertyValue('padding-bottom');
    var height = el.scrollHeight - parseFloat(paddingTop) - parseFloat(paddingBottom);
    el.style.height = height + 'px';
}
/**
 * Vue directive for handling textarea autogrow (automatically adjustable height).
 */
exports.grow = {
    bind: function (el, binding) {
        if (!binding.hasOwnProperty('value')
            || binding.value) {
            el.style.overflowY = 'hidden';
            el.style.resize = 'none';
            el.addEventListener('input', function () { return input(el); });
        }
    },
    unbind: function (el) {
        el.removeEventListener('input', function () { return input(el); });
    },
};
//# sourceMappingURL=grow.js.map